#!/usr/bin/perl -w
use Data::Dumper;
use strict;
use warnings;


use Text::CSV;
my $csv = Text::CSV->new({ sep_char => ',' });
 
my $file = $ARGV[0] or die "Need to get CSV file on the command line\n";
 
my $wyp_mal = '          ';
my $wyp_duz = '                    ';
open(my $data, '<:encoding(utf8)', $file) or die "Could not open '$file' $!\n";
while (my $line = <$data>) {
    chomp $line;
    if ($csv->parse($line)) {
    my @fields = $csv->fields();
    my $nazwa = $fields[2];
    $nazwa =~ tr#/#_#;

system "convert qsl21.png  -font Arial -pointsize 20  -gravity south -fill black -stroke none  -annotate 0 ' To: $fields[2]\n Date: $fields[0] $fields[1] GMT on $fields[4] MHz $fields[3]\n Sent: $fields[5]/Rcvd: $fields[6]\n Thx for QSO $fields[7] 73!\n Via biuro PZK OT20 \n Info: https://sq8sev.pzk.pl' qsl_ok/$nazwa.jpg";
  } else {
        warn "Line could not be parsed: $line\n";
         }
}
